Pular para o conteúdo principal
POST
/api/v1/image/generations

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Cabeçalhos

Accept-Encoding
string

Supported compression encodings (gzip, br).

Exemplo:

"gzip, br"

Corpo

application/json
prompt
string
obrigatório

A text description of the desired image.

Required string length: 1 - 1500
Exemplo:

"A beautiful sunset over mountain ranges"

background
enum<string> | null
padrão:auto

This parameter is not used in Venice image generation but is supported for compatibility with OpenAI API

Opções disponíveis:
transparent,
opaque,
auto
Exemplo:

"auto"

model
string
padrão:default

The model to use for image generation. Defaults to Venice's default image model. If a non-existent model is specified (ie an OpenAI model name), it will default to Venice's default image model.

Exemplo:

"grok-imagine-image"

moderation
enum<string> | null
padrão:auto

auto enables safe venice mode which will blur out adult content. low disables safe venice mode.

Opções disponíveis:
low,
auto
Exemplo:

"auto"

n
integer | null
padrão:1

Number of images to generate. Venice presently only supports 1 image per request.

Intervalo obrigatório: 1 <= x <= 1
Exemplo:

1

output_compression
integer | null
padrão:100

This parameter is not used in Venice image generation but is supported for compatibility with OpenAI API

Intervalo obrigatório: 0 <= x <= 100
output_format
enum<string>
padrão:png

Output format for generated images

Opções disponíveis:
jpeg,
png,
webp
Exemplo:

"png"

quality
enum<string> | null
padrão:auto

This parameter is not used in Venice image generation but is supported for compatibility with OpenAI API

Opções disponíveis:
auto,
high,
medium,
low,
hd,
standard
Exemplo:

"auto"

response_format
enum<string> | null
padrão:b64_json

Response format. URL will be a data URL.

Opções disponíveis:
b64_json,
url
Exemplo:

"b64_json"

size
enum<string> | null
padrão:auto

Size of generated images. Default is 1024x1024

Opções disponíveis:
auto,
256x256,
512x512,
1024x1024,
1536x1024,
1024x1536,
1792x1024,
1024x1792
Exemplo:

"1024x1024"

style
enum<string> | null
padrão:natural

This parameter is not used in Venice image generation but is supported for compatibility with OpenAI API

Opções disponíveis:
vivid,
natural
Exemplo:

"natural"

user
string

This parameter is not used in Venice image generation but is supported for compatibility with OpenAI API

Exemplo:

"user123"

Resposta

Successfully generated image

created
integer
obrigatório

Unix timestamp for when the request was created

Exemplo:

1713833628

data
object[]
obrigatório